################################################################################
# pluged configuration file sample
#
# Author: Fabien Devaux - fab AT gnux . info
#
# Warning! comments are line with a "#" as the first character
# Right side comments aren't allowed
#
# A single device can match multiple entries, you have been warned !
################################################################################

# Here is a quick sample I use at home
# I have this in /etc/fstab:
# /dev/sd0e       /mnt/stick msdos rw,noauto
# /dev/sd0e       /mnt/nikon msdos rw,noauto
# /dev/sd1e       /mnt/stick msdos rw,noauto
# /dev/sd1e       /mnt/nikon msdos rw,noauto
#
# With the following config I can plug my camera or my usb key
# wheneven I plug it it always get mounted at the same place.


description "My digital camera"
devname "umass[0-9]+"
product "^Nikon.*Camera"
attach "sleep 1 ; su fab -c "/sbin/mount /dev/sd${DEVNUM}e /mnt/nikon""


description "My 256MB USB stick"
devname "umass[0-9]+"
vendorID 0xEA0
productID 0x2168
release 0x200
attach "sleep 1 ; su fab -c "/sbin/mount /dev/sd${DEVNUM}e /mnt/stick""
detach "echo "I hope you umount'ed $DEVNAME !!""
